tigase.jaxmpp.core.client.xmpp.modules.auth.scram

## Enum AbstractScram.BindType

- java.lang.Object
- - java.lang.Enum<AbstractScram.BindType>
  - - tigase.jaxmpp.core.client.xmpp.modules.auth.scram.AbstractScram.BindType

- All Implemented Interfaces:
    Serializable, Comparable<AbstractScram.BindType>
  Enclosing class:
    AbstractScram

      public static enum AbstractScram.BindType
      extends Enum<AbstractScram.BindType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `n` Client doesn't support channel binding.
    `tls_server_end_point` Client requires channel binding: `tls-server-end-point`.
    `tls_unique` Client requires channel binding: `tls-unique`.
    `y` Client does support channel binding but thinks the server does not.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractScram.BindType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractScram.BindType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### n

          public static final AbstractScram.BindType n

      Client doesn't support channel binding.

    - #### y

          public static final AbstractScram.BindType y

      Client does support channel binding but thinks the server does not.

    - #### tls_unique

          public static final AbstractScram.BindType tls_unique

      Client requires channel binding: `tls-unique`.

    - #### tls_server_end_point

          public static final AbstractScram.BindType tls_server_end_point

      Client requires channel binding: `tls-server-end-point`.

  - ### Method Detail

    - #### values

          public static AbstractScram.BindType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractScram.BindType c : AbstractScram.BindType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractScram.BindType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2023 Tigase. All rights reserved.